Fetch Agent Institution Wallet Balance
curl --request GET \
--url https://sandbox.cashfree.com/bbps/cou/agent/{agentId}/wallet/balance \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/bbps/cou/agent/{agentId}/wallet/balance"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/bbps/cou/agent/{agentId}/wallet/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": 5000
}Wallet
Fetch Agent Wallet Balance
Use this API to fetch the current available wallet balance for a given Agent Institution. This balance reflects funds available for BBPS bill payment transactions.
GET
/
bbps
/
cou
/
agent
/
{agentId}
/
wallet
/
balance
Fetch Agent Institution Wallet Balance
Authorizations
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
Your unique client secret issued by Cashfree. Keep this confidential and never expose it in client-side code. You can find this in your Merchant Dashboard.
Headers
API version to be used. Format is YYYY-MM-DD.
Path Parameters
The BBPS Agent ID (bbpsAgentId) of the Agent Institution.
Response
Success response for fetching the current available wallet balance for a given Agent Institution.
Current available wallet balance in INR.
Example:
5000
Was this page helpful?
āI